GNU bug report logs - #22435
stat: report 'ext4' instead of 'ext2/ext3' filesystem type

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: "D.P.Pandya" <pandya@HIDDEN>; dated Fri, 22 Jan 2016 15:54:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to 'stat: report 'ext4' instead of 'ext2/ext3' filesystem type' from 'Need improvement in `stat` command's file-system type output' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22435 <at> debbugs.gnu.org:


Received: (at 22435) by debbugs.gnu.org; 24 Jan 2016 14:03:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 24 09:03:31 2016
Received: from localhost ([127.0.0.1]:32841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aNLGN-0004bE-KF
	for submit <at> debbugs.gnu.org; Sun, 24 Jan 2016 09:03:31 -0500
Received: from mout.kundenserver.de ([212.227.126.187]:61198)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mail@HIDDEN>) id 1aNLGL-0004b1-5F
 for 22435 <at> debbugs.gnu.org; Sun, 24 Jan 2016 09:03:29 -0500
Received: from [192.168.101.10] ([217.86.69.36]) by mrelayeu.kundenserver.de
 (mreue003) with ESMTPSA (Nemesis) id 0Ly8x7-1a0Kf00g9V-015ZDU; Sun, 24 Jan
 2016 15:03:23 +0100
Subject: Re: bug#22435: Need improvement in `stat` command's file-system type
 output
To: "D.P.Pandya" <pandya@HIDDEN>, 22435 <at> debbugs.gnu.org
References: <389bf63ce171eded0ee5dd720715caaf@HIDDEN>
From: Bernhard Voelker <mail@HIDDEN>
Message-ID: <56A4D9AA.4010105@HIDDEN>
Date: Sun, 24 Jan 2016 15:03:22 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
In-Reply-To: <389bf63ce171eded0ee5dd720715caaf@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ACLZYQnt/btRd/TAhxrKYhV7jSdAznOwZ2pvZU16Bn36pxoyzIt
 9Bxf7TYtGVyZ/BkjjHUfc7VJepKRf+I/K3XPA/KnMPE8NBhCi8oT1DPo5Mv2iuRoDId/Gq1
 eqaPylaUqjQcdFN9wq7IFy3RzOsYMdLskR2TCSWEgxlqt1OMN5mpwEv8wYV/O9nd6mEhc9k
 pgcCZYaMZEUGroDewE3cw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:TuQMFuDDzcI=:CIxcWNEH5y4Mgq8kNBl4aH
 g1K4Y/M3qnIrk9txqdwskzmhCGAL5Vru+zcU+Q+EqLT1z0ZAeTPWpnFcHg/BWudAJMAAXbYg1
 pElqI+7I2xuyKXr1Hjh9Ex/OQwORp63MhDRDbtXSowrWkfFPjrawgM1JcxFzqC9Dn3U8Z+3FI
 t+iKLbq+8KzFSrENgp3nXFgxZIb4MkYXcPfI9Ae2Qa/eFNvTjt7bw4j/zCbqSTyuIColMs5LW
 1t+KUwT3aQbnckwG/pYbHWlG2UXUI1m3ewKwPPQkv1Fp5nRyuqriAvU+HOMV9c0n4enUMpKJE
 2nyIJyWs9HHNr9Q5EqF8QKTyf6gVikX/LxpN7FIvaEsp5oMuddwFkPNE7N58MhbK5z9dyRr84
 csYeI6s3f2ttPibwLyKd5DICy9j3ZDh42LJnCGHgLSNXoqpG/PcG6NSHdgT8qHgwL1xR/pUXO
 faTu3EAUPRlyTEUukox3QBeuz95PBYkrR3DaqkW8ThvQzpDjsixQmrjMdkfyDrVHBI5i2ULi0
 FRO9sAPEB1XmlFCRqyGTQ3O9XS8zNHDc192/0+omOqNe3Cse474AONCD0OF1+KqXXq9UtqM0x
 oum46TxqfkWKo7w3AZigLnx42/Q7UqB8FqX5taaTP08lZL7wGPHD3snzSWMhJ0oLC2J320jJL
 8XSTfyHVT3P4QWU0lbN32FKfS37euynj8uOLeqMqeST8JEawPzEg6upfaapv2R+7VNz5Iuxm9
 T+EJd04FPXv3GieC
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22435
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On 01/22/2016 10:03 AM, D.P.Pandya wrote:
> If I tries to check filesystem type by `stat -f` command on my Ext4 
> partition, it gives output: ext2/ext3 which is wrong.
> 
> Example:
> 
> $ df -T /
> Filesystem     Type 1K-blocks     Used Available Use% Mounted on
> /dev/sda8      ext4  25672796 10813104  13532596  45% /
> 
> But `stat` shows incorrectly ext2/ext3
> 
> $ stat -f -c %T /
> ext2/ext3
> 
> So, the output for filesystem type by `stat` command should be 
> improved/fixed.

This has been discussed before:
http://lists.gnu.org/archive/html/bug-coreutils/2013-01/msg00172.html

I'm not sure if the arguments have changed enough for the patch
to be applied.  Well, ext3 support has been removed from the kernel
a few months ago, so this may warrant a new discussion.

Have a nice day,
Berny




Information forwarded to bug-coreutils@HIDDEN:
bug#22435; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jan 2016 15:53:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 22 10:53:20 2016
Received: from localhost ([127.0.0.1]:58015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aMe1Y-00063b-1i
	for submit <at> debbugs.gnu.org; Fri, 22 Jan 2016 10:53:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43183)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <pandya@HIDDEN>) id 1aMXdd-0000rb-N5
 for submit <at> debbugs.gnu.org; Fri, 22 Jan 2016 04:04:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pandya@HIDDEN>) id 1aMXdX-0001Gj-VD
 for submit <at> debbugs.gnu.org; Fri, 22 Jan 2016 04:04:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56499)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pandya@HIDDEN>) id 1aMXdX-0001Gf-S0
 for submit <at> debbugs.gnu.org; Fri, 22 Jan 2016 04:04:07 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34142)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pandya@HIDDEN>) id 1aMXdT-0007eo-58
 for bug-coreutils@HIDDEN; Fri, 22 Jan 2016 04:04:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pandya@HIDDEN>) id 1aMXdP-0001EV-V6
 for bug-coreutils@HIDDEN; Fri, 22 Jan 2016 04:04:03 -0500
Received: from smtp2.openmailbox.org ([62.4.1.36]:38808)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pandya@HIDDEN>) id 1aMXdP-0001Dv-NH
 for bug-coreutils@HIDDEN; Fri, 22 Jan 2016 04:03:59 -0500
Received: by mail2.openmailbox.org (Postfix, from userid 1004)
 id 04C3F2AC3474; Fri, 22 Jan 2016 10:03:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1453453438;
 bh=/mmOSrjBp/MfBa/NEl1JEgDu/br6JuJF1Zw1faDRZpU=;
 h=Date:From:To:Subject:From;
 b=epylukgWqUxZKFv6vTkGoyVSaa9HxcnA84nVZ5/TkXBw+2NfG6D/zKVHo/juio6Qs
 GjLDtYKcjutEkeaWPlDW3XTOKeluaHnxBliv7zaEwcx6cuBQKaTkSW/UX2zpBy1iIM
 OHSnpzxPvJedaza9kPXT0lEdz+AT+dFXaN9X5XZs=
Received: from www.openmailbox.org (openmailbox-b2 [10.91.69.220])
 by mail2.openmailbox.org (Postfix) with ESMTP id D93302AC3418
 for <bug-coreutils@HIDDEN>; Fri, 22 Jan 2016 10:03:57 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Fri, 22 Jan 2016 14:33:57 +0530
From: "D.P.Pandya" <pandya@HIDDEN>
To: bug-coreutils@HIDDEN
Subject: Need improvement in `stat` command's file-system type output
Message-ID: <389bf63ce171eded0ee5dd720715caaf@HIDDEN>
X-Sender: pandya@HIDDEN
User-Agent: Roundcube Webmail/1.0.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 22 Jan 2016 10:53:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

If I tries to check filesystem type by `stat -f` command on my Ext4 
partition, it gives output: ext2/ext3 which is wrong.

Example:

$ df -T /
Filesystem     Type 1K-blocks     Used Available Use% Mounted on
/dev/sda8      ext4  25672796 10813104  13532596  45% /

But `stat` shows incorrectly ext2/ext3

$ stat -f -c %T /
ext2/ext3

So, the output for filesystem type by `stat` command should be 
improved/fixed.

Thanks





Acknowledgement sent to "D.P.Pandya" <pandya@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#22435; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Oct 2018 22:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.